/*
 * buttons.h
 *
 *  Created on: 4 . 2016 .
 *      Author: mvinogradov
 */
#include <avr/io.h>
#include <avr_helper.h>

#ifndef BUTTONS_H_
#define BUTTONS_H_

//    
typedef union{
	struct{
		uint8_t k_back	:1;
		uint8_t k_left	:1;
		uint8_t k_right	:1;
		uint8_t k_booz	:1;
		uint8_t k_blink	:1;
		uint8_t k_lamp	:1;
		uint8_t k_fwd	:1;
	};
	uint8_t byte;
} buttons_t;



#define CMD_BACKRWARD	_BV(0)
#define CMD_LEFT		_BV(1)
#define CMD_RIGHT		_BV(2)
#define CMD_BOOZ		_BV(3)
#define CMD_BLINK		_BV(4)
#define CMD_LAMP		_BV(5)
#define CMD_FORWARD		_BV(7)

// Key ports map
///     (   )
#define KEY1_PORT		D
///  f   
#define KEY1_PIN		2

//    
#define key1() (PIN(KEY1_PORT) & _BV(KEY1_PIN))
//  
//#define led1_off() PORT(LED1_PORT) &= ~_BV(LED1_PIN)

extern void key_init(void);

#endif /* KEY_H_ */
