/**
 * \file config.h
 * \brief    
 * \date 17 . 2015 .
 * \author ARV
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include <stdint.h>
#include "protocol.h"

///     
typedef struct{
	uint8_t					is_clear;	///   
	uint8_t					debug_on;	///    
	uint16_t				boudrate;	///  
	uint16_t				delay_termo;///    
	int8_t					adc_bandgap_adj; 	///    ADC_BANDGAP
	uint16_t				delay_wakeup;		/// - *2       (  )
} config_t;

extern config_t config;

///  
uint8_t load_config(config_t *cfg);
///  
void save_config(config_t *cfg);

#endif /* CONFIG_H_ */
