/**   
 * adc.h
 *
 *
 *  Created on: 22.07.2010
 *      Author: ARV
 */
#include <avr_helper.h>

#ifndef ADC_H_
#define ADC_H_

///  *10        (  )
//#define BATTERY_LOW		27

///  *10        (  )
//#define BATTERY_HIGHT	42

///  *10      
#define BATTERY_LOW_NOTIFICATION	27

///           (  )
//       MY-68
#define ADC_RESULT_ADJUSTMENT	-2

//   ADMUX     
//   - AVCC with external capacitor at AREF pin,  Channel Selection=VBG
#define ADMUX_BATTERY_METER (_BV(REFS0)|_BV(MUX3)|_BV(MUX2)|_BV(MUX1))

//     ADC_BANDGAP,   10
#define ADC_BANDGAP_VALUE	13
/*///  ""  
int16_t get_temp(uint8_t chanel);
///    
int16_t get_temperature(uint8_t chanel);*/

//   
extern void adc_init(void);
extern void adc_powerdown();
extern int8_t get_adc_status();
extern uint8_t start_adc(uint8_t channel);
extern int16_t get_adc_result(void);
extern uint8_t get_battery_low(void);
extern uint16_t get_battery_voltage(void);

#endif /* ADC_H_ */
